summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'gnome-extra/cinnamon-session/files')
-rw-r--r--gnome-extra/cinnamon-session/files/cinnamon-session-2.2.0-automagic-upower.patch33
1 files changed, 0 insertions, 33 deletions
diff --git a/gnome-extra/cinnamon-session/files/cinnamon-session-2.2.0-automagic-upower.patch b/gnome-extra/cinnamon-session/files/cinnamon-session-2.2.0-automagic-upower.patch
deleted file mode 100644
index 76246802e22..00000000000
--- a/gnome-extra/cinnamon-session/files/cinnamon-session-2.2.0-automagic-upower.patch
+++ /dev/null
@@ -1,33 +0,0 @@
-From 2f88efdaaefefabcc16d13f2ae63f57244de01ce Mon Sep 17 00:00:00 2001
-From: Alexandre Rostovtsev <tetromino@gentoo.org>
-Date: Mon, 5 May 2014 22:34:14 -0400
-Subject: [PATCH] Make old upower check non-automagic
-
----
- configure.ac | 10 +++++++++-
- 1 file changed, 9 insertions(+), 1 deletion(-)
-
-diff --git a/configure.ac b/configure.ac
-index ec4ffac..a122872 100644
---- a/configure.ac
-+++ b/configure.ac
-@@ -58,7 +58,15 @@ PKG_CHECK_MODULES(CINNAMON_SESSION,
-
- dnl We can only support old upower
- dnl https://bugzilla.gnome.org/show_bug.cgi?id=710383
--PKG_CHECK_MODULES(UPOWER, upower-glib < 0.99.0, have_old_upower=yes, have_old_upower=no)
-+AC_ARG_ENABLE([old-upower],
-+ AS_HELP_STRING([--disable-old-upower], [Do not check for old UPower API]),
-+ [enable_old_upower=$enableval],
-+ [enable_old_upower=auto])
-+
-+have_old_upower=no
-+if test x$enable_old_upower != xno ; then
-+ PKG_CHECK_MODULES(UPOWER, upower-glib < 0.99.0, have_old_upower=yes, have_old_upower=no)
-+fi
- AS_IF([test x$have_old_upower = xyes], [
- AC_DEFINE([HAVE_OLD_UPOWER], [1], [Define if we have an older upower])
- ])
---
-1.9.2
-